import { defineComponent, provide, inject, renderSlot, Fragment, h } from 'vue';
const ssrContextKey = Symbol('@css-render/vue3-ssr');
function createStyleString(id, style) {
    return `<style cssr-id="${id}">\n${style}\n</style>`;
}
export function ssrAdapter(id, style) {
    const styleVNodeProps = inject(ssrContextKey, null);
    if (styleVNodeProps !== null) {
        styleVNodeProps.innerHTML += createStyleString(id, style);
    }
}
export const SsrContext = defineComponent({
    name: 'CssRenderVue3SsrContext',
    setup(_, { slots }) {
        const styleVNodeProps = {
            class: 'cssr-ssr-container',
            innerHTML: ''
        };
        provide(ssrContextKey, styleVNodeProps);
        return () => h(Fragment, null, [
            renderSlot(slots, 'default'),
            h('div', styleVNodeProps)
        ]);
    }
});
